LOG(9)

NAME
log, addlog - log a message from the kernel through the /dev/klog device

SYNOPSIS
#include <sys/syslog.h>
void
log(int level, const char *format, ...);
void
addlog(const char *format, ...);

DESCRIPTION
The log() function allows the kernel to send formatted messages to user processes listening on /dev/klog. Usually syslogd(8) monitors /dev/klog for these messages and writes them to a log file.

All messages are formatted using printf(9), logged using facility LOG_KERN, and priority level level.

The addlog() function is used to build a log message in steps, by adding information to an initial call to log().

SEE ALSO
syslog(3), syslogd(8), printf(9)